> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Make a test call using agent Id 



## OpenAPI

````yaml post /callback/immediate-call
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /callback/immediate-call:
    post:
      tags:
        - callback
      summary: 'Make a test call using agent Id '
      operationId: CallbackController_immediateCall
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                phone:
                  type: string
                  description: The phone number being called.
                  example: '+13333333333'
                agent_id:
                  type: number
                  description: The ID of the agent whose data you want to retrieve.
                  example: 2
              required:
                - phone
                - agent_id
      responses:
        '200':
          description: Returns call response
        '400':
          description: Bad request or insufficient credit
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````